Skip to main content
GET
/
users
/
{user_guid}
/
spending_plans
/
{spending_plan_guid}
/
spending_plan_accounts
/
{spending_plan_account_guid}
Read spending plan account
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/spending_plan_accounts/{spending_plan_account_guid} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/spending_plan_accounts/{spending_plan_account_guid}"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/spending_plan_accounts/{spending_plan_account_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
  "client_guid": "CLT-abcd-1234",
  "created_at": "2025-02-13T18:08:00+00:00",
  "guid": "SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a",
  "spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
  "updated_at": "2025-02-13T18:09:00+00:00",
  "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
Use this endpoint to read the attributes of a specific spending plan account according to its unique GUID.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

spending_plan_guid
string
required

The unique ID for the spending_plan.

spending_plan_account_guid
string
required

The unique ID for the specified account.

Query Parameters

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Response

200 - application/json

OK

account_guid
string

The unique identifier for an account. Defined by MX.

Example:

"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"

client_guid
string

The unique identifier for the client associated with the insight. Defined by MX.

Example:

"CLT-abcd-1234"

created_at
string

The date and time the spending plan account was created, represented in ISO 8601 format with a timestamp.

Example:

"2025-02-13T18:08:00+00:00"

guid
string

The unique identifier for the spending plan account. Defined by MX.

Example:

"SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a"

spending_plan_guid
string

The unique identifier for the spending plan. Defined by MX.

Example:

"SPL-dbfe201d-c341-4bff-93c0-62a918d0b600"

updated_at
string

The date and time the resource was last updated in ISO 8601 format with a timestamp.

For categories, this field will always be null when is_default is true.

Example:

"2025-02-13T18:09:00+00:00"

user_guid
string

The unique identifier for the user. Defined by MX.

Example:

"USR-fa7537f3-48aa-a683-a02a-b18940482f54"